/*
 * Zmanim Java API
 * Copyright (C) 2004-2007 Eliyahu Hershfeld
 * 
 * This program is free software; you can redistribute it and/or modify it under the terms of the
 * GNU General Public License as published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
 * even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with this program; if
 * not, write to the Free Software Foundation, Inc. 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA or connect to: http://www.fsf.org/copyleft/gpl.html
 */
package net.sourceforge.zmanim;

/**
 * ZmanimException is the <code>Exception</code> class for the Zmanim package.
 * It is a runtime exception and does not have to be caught. It is not used used
 * when a calculation can't take place such as sunrise not taking place for a
 * specific date due to extreme Norther or Southern locations, since this will
 * commonly occur in locations such as England when used for some calculations
 * in the {@link ComplexZmanimCalendar}&#160;and is really not an error. In such situations a null or {@link java.lang.Double.NaN} will be returned. For a
 * more detailed explanation about the lack of <code>Exception</code> throwing
 * in these situations, see the comments on the {@link AstronomicalCalendar}.
 * 
 * @author &copy; Eliyahu Hershfeld 2004 - 2007
 * @version 1.1
 */
public class ZmanimException extends RuntimeException {
	private static final long serialVersionUID = 1;

	public ZmanimException() {
		super("An unknow Zmanim problem occurred");
	}

	public ZmanimException(String message) {
		super(message);
	}
}